Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::video::IImageWriter Class Reference

Interface for writing software image data. More...

`#include <IImageWriter.h>`

Inheritance diagram for irr::video::IImageWriter:

List of all members.

## Public Member Functions

virtual bool | isAWriteableFileExtension (const io::path &filename) const =0
| Check if this writer can write a file with the given extension.
virtual bool | writeImage (io::IWriteFile *file, IImage *image, u32 param=0) const =0
| Write image to file.

## Detailed Description

Interface for writing software image data.

Definition at line 25 of file IImageWriter.h.

## Member Function Documentation

virtual bool irr::video::IImageWriter::isAWriteableFileExtension | ( | const io::path & | filename | ) | const`[pure virtual]`

Check if this writer can write a file with the given extension.

Parameters:

  | filename | Name of the file to check.

Returns:
  True if file extension specifies a writable type.

virtual bool irr::video::IImageWriter::writeImage | ( | io::IWriteFile * | file,
|  | IImage * | image,
|  | u32 | param = `0` |
| ) |  |  | const`[pure virtual]`

Write image to file.

Parameters:

  | file | File handle to write to.
  | image | Image to write into file.
  | param | Writer specific parameter, influencing e.g. quality.

Returns:
  True if image was successfully written.

The documentation for this class was generated from the following file:

- IImageWriter.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:09 2010 by Doxygen (1.6.2)